/*
  ------------------------------------------------------------------------------

    Copyright © 2005-2013, Tommi T. Järvi
                           firstname . jarvi @ iki . fi (remove spaces)


    This file is part of one of my programs.

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2,
    as published by the Free Software Foundation.

    This is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  ------------------------------------------------------------------------------
*/


#include <valarray>
#include <iostream>
#include <vector>
#include "atomsystem.h"

using namespace std;


class H_Bond {

  /*
    Detect hydrogen bonds based on simple cutoff distance and angle criteria.
  */


 public:

  H_Bond() {}  // default constructor
  void analyze(Atom_System &s, const double anglemin, const double anglemax, const double cut13, const double cut12_23, const int t1, const int t2, const int t3, const double time);
};
